#!/bin/sh -e
<%text>############################################################</%text>
#
# overnight automation (${automation}) via cron
#
<%text>############################################################</%text>


if [ "$1" = "--verbose" ]; then
    VERBOSE='--verbose'
    PROGRESS='--progress'
else
    VERBOSE=
    PROGRESS=
fi

cd ${envroot}

RATTAIL="bin/rattail --config=app/cron.conf $PROGRESS"

$RATTAIL run-n-mail --no-versioning --skip-if-empty <%text>\</%text>
         % if email_key is not Undefined and email_key:
         --key '${email_key}' <%text>\</%text>
         % endif
         --subject 'Overnight automation: ${automation}' <%text>\</%text>
         ${envroot}/app/overnight-${automation.lower()}.sh
